Subject: Re: bug#54942: Can't run guix upgrade when a package is installed with the --with-git-url transformation
From: Ludovic Courtès <[email-masked]>
To: SeerLite <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 May 2022 23:58:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> SeerLite <[email-masked]> skribis:
>
>> I installed a package with --with-git-url and --with-branch to my profile:
>>
>>     guix install kakoune
>>     --with-git-url=kakoune=https://github.com/mawww/kakoune.git 
>> --with-branch=kakoune=breaking-cleanups
>>
>> However, now I can't run `guix upgrade`. I get the following error:
>>
>>     guix upgrade: error: the source of [email-masked] is not a Git
>>     reference
>
> [...]
>
> Maxime Devos <[email-masked]> skribis:
>
>> I guess the problem is that 'with-branch'/'with-commit' come before
>> 'with-git-url' in
>> <https://git.savannah.gnu.org/cgit/guix.git/tree/guix/transformations.scm?id=237d90a7808cfdced34b34595eba16632cbcb89e#n794>
>> (untested!).
>
> My guess is rather than the profile records (or replays) transformations
> in the wrong order:

I believe this is fixed by 0f024554e63a49e20c2a7a67e928073c266bf5c5.

Please let me know if anything’s wrong!

Ludo’.